/*
** Class:  LotROLinux.FirstRunWindow
** Author: Alan Jackson
** Date:   10th January 2008
**
** Window shown when no configuration file found
** for the game Lord of the Rings Online
**
** Based on a script by SNy <SNy@bmx-chemnitz.de>
**
** (C) 2007-2008 AJackson <ajackson@bcs.org.uk>
**
** This file is part of LotROLinux.
**
** LotROLinux is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
**
** LotROLinux is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with LotROLinux.  If not, see <http://www.gnu.org/licenses/>.
*/
using System;
using Glade;
using Gtk;

namespace LotROLinux
{
	public class FirstRunWindow
	{
		[Widget]
		private Dialog winFirstRun;

		[Widget]
        private ComboBox cboDefaultGame;

		public FirstRunWindow()
		{
			Glade.XML gxml = new Glade.XML (null, "FirstRunWindow.glade", "winFirstRun", null);
			gxml.Autoconnect (this);

			cboDefaultGame.Clear();
	        CellRendererText cell = new CellRendererText();
	        cboDefaultGame.PackStart(cell, false);
	        cboDefaultGame.AddAttribute(cell, "text", 0);
	        ListStore store = new ListStore(typeof (string));
	        cboDefaultGame.Model = store;

			cboDefaultGame.AppendText("Lord of the Rings Online");
			cboDefaultGame.AppendText("Dungeons & Dragons Online");
			cboDefaultGame.AppendText("Lord of the Rings Online - Test");
			cboDefaultGame.AppendText("Dungeons & Dragons Online - Test");

			cboDefaultGame.Active = 0;;
		}

		public ResponseType Run()
		{
			return (ResponseType)winFirstRun.Run();
		}

		public void Destroy()
		{
			winFirstRun.Destroy();
		}

		public bool GetUsingDND()
		{
			if ((cboDefaultGame.Active == 1) || (cboDefaultGame.Active == 3))
			{
				return true;
			} else {
				return false;
			}
		}

		public bool GetUsingTest()
		{
			if ((cboDefaultGame.Active == 2) || (cboDefaultGame.Active == 3))
			{
				return true;
			} else {
				return false;
			}
		}
	}
}
